Gets the fields of a specific workflow rule for a specific sObject.
Cross-object workflow rules can’t be invoked using REST API.
URI: /services/data/vXX.X/process/rules/sObjectName/workflowRuleId
Available since release: 30.0
Formats: JSON, XML
HTTP methods: GET
Authentication: Authorization: Bearer token
Request parameters: None required
Example usage
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/process/rules/Account/01QD0000000APli -H "Authorization: Bearer token"
Example request body: None required
Example JSON response body
{
"actions" : [ {
"id" : "01VD0000000D2w7",
"name" : "ApprovalProcessTask",
"type" : "Task"
} ],
"description" : null,
"id" : "01QD0000000APli",
"name" : "My Rule",
"namespacePrefix" : null,
"object" : "Account"
}